import React from 'react';
import TerminalButton from './TerminalButton';

const ResumeContent: React.FC = () => {
  const resumeUrl = "https://drive.google.com/file/d/1oYf68qKXUnBz7d4qjHX-hTw_-f5EKgeF/view?usp=sharing";
  const downloadUrl = "https://drive.google.com/file/d/1oYf68qKXUnBz7d4qjHX-hTw_-f5EKgeF/view?usp=sharing";

  return (
    <div className="flex flex-col h-full">
      <div className="flex-1 mb-4">
        <iframe
          src={resumeUrl}
          className="w-full h-full rounded-lg"
          frameBorder="0"
          allowFullScreen
          allow="autoplay"
        />
      </div>
      <div className="flex justify-center">
        <TerminalButton
          onClick={() => window.open(downloadUrl, '_blank')}
          isSelected={false}
        >
          OPEN IN NEW TAB
        </TerminalButton>
      </div>
    </div>
  );
};

export default ResumeContent;
